# Uses of Class
javafx.scene.control.Menu

Packages that use Menu
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of Menu in javafx.scene.control

Methods in javafx.scene.control that return Menu
Modifier and Type
Method
Description
`final Menu`
MenuItem.`getParentMenu()`
Gets the value of the `parentMenu` property.
Methods in javafx.scene.control that return types with arguments of type Menu
Modifier and Type
Method
Description
`final ObservableList<Menu>`
MenuBar.`getMenus()`
The menus to show within this MenuBar.
`final ReadOnlyObjectProperty<Menu>`
MenuItem.`parentMenuProperty()`
This is the `Menu` in which this `MenuItem` exists.
Methods in javafx.scene.control with parameters of type Menu
Modifier and Type
Method
Description
`protected final void`
MenuItem.`setParentMenu(Menu value)`
Sets the value of the `parentMenu` property.
Constructors in javafx.scene.control with parameters of type Menu
Modifier
Constructor
Description
``
`MenuBar(Menu... menus)`
Creates a new MenuBar populated with the given menus.